\documentclass[notitlepage,usegeometry]{scrreprt}
\usepackage[top=1in,bottom=1in,left=1in,right=1in]{geometry}
\usepackage{graphicx}
\graphicspath{{./img/}}
\usepackage{float}
\usepackage{enumitem}

\setitemize{noitemsep,parsep=0ex}

\begin{document}
\noindent
\LARGE{\textbf{El E 367 Assignment X: Spice Analysis of Instrumentation Amplifier}}

\vspace{1.5em}

\noindent
\Large{\textbf{Due March 15, 2021 by 2p }}

\vspace{0.5em}

\section*{Description}
For this assignment, you will use the Ngspice circuit simulator to analyze the performance of a current-sensing 
instrumentation amplifier circuit.
\vskip\baselineskip\noindent
This is an individual assignment. You may discuss solution techniques with other students in
the class but copying their work is not allowed. Copying solutions from any source is not
allowed. All the work you submit must be your own.

\section*{Specifications and Requirements}
You are working on one stage of a signal processing system, and the stage of the system just before your circuit is an 
alternating-current current source with a low output impedance.
Because the incoming information is contained in the \textit{current} supplied by the source, we want
to sample the current without disturbing the previous stage.
We plan to use the signal in later stages of circuitry, and will require the following:
\begin{enumerate}
	\item input resistance = 0.1 $\Omega$
	\item voltage mode output
	\item $V_{out} = 100 \times i_{in}$ (+40dBV)
	\item Flat passband from 10Hz-1kHz (min)
\end{enumerate}

Implement a differential amplifier circuit (attached) and determine the correct values of the missing components
in order to meet the system requirements.  Simulate your circuit using Ngspice, to demonstrate its success.

\section*{Instructions}
\subsection*{1. Use KiCad to Capture the Structure}
Use KiCad to assemble the circuit.

%Notes:
\begin{itemize}
	\item Use labels liberally
	\item when placing components, you can search for ``spice'' but don't use the ``legacy'' parts.
	\item don't forget to add ground nodes using the label ``0'' works best (GND symbol can be tricky)
	\item remember using the same labels can connect wires too
\end{itemize}

\subsection*{2. Export Netlist}
%Notes:
\begin{itemize}
	\item When you're ready, go to ``tools'' $\rightarrow$ ``generate netlist file'' $\rightarrow$ pspice and check 
	both boxes.
	\item edit the saved netlist
	\item For the opamp, we are going to use the Texas Instruments part called ``NE5534.'' Download the  PSPICE model 
	provided by Texas Instruments on their product page at https://www.ti.com/product/NE5534 and move it into your 
	project directory.
	\item make sure ``\texttt{.include <file>}'' appears in your netlist (usually toward the top).
	\item make sure the name of your opamp begins with ``X'' (for example ``X99'') and uses the same Subcircuit name as
		given in the downloaded model.
	\item (be sure to add text so that the end of the file looks like the following:\\
	{\narrower\narrower
	\texttt{.control \\set ngbehavior=ki\\.endc\\.end}}
\end{itemize}


\subsection*{3. Run the Netlist in Ngspice}
\begin{itemize}
	\item if you haven't yet installed Ngspice, do so with \texttt{sudo apt install ngspice}
	\item Refer to the Ngspice manual (http://ngspice.sourceforge.net/docs/ngspice-manual.pdf) pages 72, 338, and 456 
	and double-check all of your instances.
	\item start Ngspice interactively with \texttt{ngspice <your-netlist.cir>}
	\item plot the frequency response of your circuit.
\end{itemize}

\subsection*{4. Deliverables}
\begin{itemize}
	\item Take a screenshot of the magnitude and phase response of your circuit. Submit it.
	\item Include a printout of your netlist file.
\end{itemize}

\begin{center}
\includegraphics[angle=90,origin=c,width=6.3in]{example-crop.pdf}
\end{center}


\end{document}